package com.iamberry.wechat.face.reback;

import java.util.List;
import java.util.Map;

import com.iamberry.wechat.core.entity.PageBean;
import com.iamberry.wechat.core.entity.drp.ObjRecord;

public interface RebackStaticService {

	/**
	 *  获取未入账的统计信息
	 */
	public Map getUnIncomeOrderList(String openid,PageBean page);
	//非母婴店和门店的
	public Map getUnIncomeOrderList2(String openid,PageBean page);
	//具体门店对总代的返利
	public Map getUnIncomeOrderList2Top(String openid,String openidInit ,PageBean page);
	/**
	 * 查看VIP会员已销售台数列表
	 * @param openid
	 * @param page
	 * @return
	 */
	public Map getUnIncomeOrderList3(String openid,PageBean page);
	/**
	 * 根据周，月，年获取统计信息
	 * @param openid
	 * @param type
	 * @return
	 */
	public List<ObjRecord> getIncomeStatistics(String openid,String type);
	
	/**
	 * 根据周，月，年统计信息(钻石会员页面查询)
	 */
	public List<ObjRecord> getDiamondIncomeStatistics(String openid, String type);
	
	/**
	 * 根据周，月，年获取统计信息（美容师）
	 * @param openid
	 * @param type
	 * @return
	 */
	public List<ObjRecord> getIncomeStatistics2(String openid,String type);
	
	/**
	 * 获取未入账的总数
	 * @param openid
	 * @return
	 */
	public int getUnIncomeMoney(String openid);
	
	/**
	 * 获取分销商的下一级
	 */
	public Map getNextDrpStatisc(String openid,PageBean page);
	/**
	 * 获取分销商的下一级(分页)
	 * @param openid
	 * @param page
	 * @param roleId
	 * @return
	 */
	public Map getNextDrpStatisc(String openid,PageBean page,int roleId);
	/**
	 * 获取门店的下一级统计
	 * @param openid
	 * @param page
	 * @return
	 */
	/**
	 * 获取分销商的下线用户角色列表
	 */
	public Map getNextDrpStatisc(String openid);
	//public Map getStoreNextStatisc(String openid,PageBean page);
	
	/**
	 * 获取微代理或者下线的贡献
	 */
	public Map getUnderlingStatisc(String openid,PageBean page,Integer searchNo,String type);
	//拼参数字符串的
	public String getConditionString(List<String> list);
	
	//后台收入记录查询的
	public Map getSearchIncomeDetail(PageBean page);
	
	/**
	 *  获取美容师已销售台数 
	 */
	public Integer getBeauticianAllCount(String toOpenid);
	
}
